# qube-ui

> qube react components

[![NPM](https://img.shields.io/npm/v/qube-ui.svg)](https://www.npmjs.com/package/qube-ui) [![JavaScript Style Guide](https://img.shields.io/badge/code_style-standard-brightgreen.svg)](https://standardjs.com)

## Install

```bash
npm install --save qube-ui
```

## import semantic-ui-css to your styles.css

```css
@import '~semantic-ui-css/semantic.min.css';
```

## Usage

```jsx
import React, {Component} from 'react'
import {ThemeProvider} from 'styled-components'
import {PrimaryButton, DefaultTheme as theme} from 'qube-ui'

export default () =>
  <ThemeProvider theme={theme}>
    <PrimaryButton>Click Here</PrimaryButton>
  </ThemeProvider>
```

run tests
```bash
npm run test
```

run tests for specific regex
```bash
npm run test -- -t="Pagination"
```

run tests update snapshots
```bash
npm run test -- -u
```

## License

# todo
